Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056968 - UDF Jar Path deleted from Create User Defined Function dialog
Summary: UDF Jar Path deleted from Create User Defined Function dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.1.0
Assignee: Barry LaFond
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 09:24 UTC by Lucie Fabrikova
Modified: 2015-11-17 18:08 UTC (History)
5 users (show)

Doc Type: Bug Fix
Doc Text:
Users of Teiid Designer are experiencing strange behavior when using the Create User Defined Function dialog. If users go to "Choose udf jar from file system" (after one is already selected), but then cancel the dialog without choosing anything, the UDF that was previously set disappears.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:08:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2022 Minor Closed UDF Jar Path deleted from Create User Defined Function dialog 2015-02-12 08:21:06 UTC

Description Lucie Fabrikova 2014-01-23 09:24:20 UTC
Description of problem:
In a Create User Defined Function dialog, the text (pointing to previously selected UDF jar) in field UDF Jar Path disappears after clicking the "..." and canceling then the dialog "Select UDF jar".

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create relational view model, right-click: new child -> procedure -> user defined function
In "Create User Defined Function" dialog:
2. For UDF jar path, click on "..." button and select "Choose udf jar from file system"
2. choose something, close the dialog. UDF path is set properly
3. Simulate re-selecting UDF: click again "…" and select "Choose udf jar from file system"
4. Cancel the dialog without choosing any UDF
5. The UDF previously set disappears, text field is empty

Actual results:


Expected results:


Additional info:

Comment 2 JBoss JIRA Server 2014-05-07 21:06:25 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2022 to Closed

Comment 3 Andrej Smigala 2015-01-09 10:11:15 UTC
Still seeing the described behaviour in 9.0.1.

Comment 4 JBoss JIRA Server 2015-01-09 17:07:43 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2022 to Reopened

Comment 5 JBoss JIRA Server 2015-01-09 17:12:13 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2022 to Resolved

Comment 6 JBoss JIRA Server 2015-02-12 08:21:06 UTC
Andrej Šmigala <asmigala@redhat.com> updated the status of jira TEIIDDES-2022 to Closed


Note You need to log in before you can comment on or make changes to this bug.